#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "invoice.h"
#include "pxengine.h"

void main(void)
{
	static INVOICETABLEENTRY Demo;

	if (PXInit())
		{
		printf("Unable to initialize PARADOX Engine\n");
		exit(1);
		}

	if ((INVOICERet = INVOICETblOpen(NULL)) != PXSUCCESS)
		{
		printf("Unable to open INVOICE table\n");
		exit(2);
		}

	strcpy(Demo.ShipVia,"UPS 2 Day");

	INVOICESrchFld(SEARCHFIRST,"Ship Via",&Demo);
	do
		{
		printf("Invoice [%10.0f]  Method [%s]\n",Demo.InvoiceNumber,Demo.ShipVia);
		} while (!INVOICESrchFld(SEARCHNEXT,"Ship Via",&Demo));
	
	if ((INVOICERet = INVOICETblClose()) != PXSUCCESS)
		printf("Unable to close INVOICE table\n");

	if (PXExit())
		printf("Unable to close down PARADOX Engine\n");
}
